OCF_HEARTBEAT_ISCSI(7)

NAME
ocf_heartbeat_iscsi - Manages a local iSCSI initiator and its connections to iSCSI targets

SYNOPSIS

iscsi [start | stop | status | monitor | meta-data | validate-all]

DESCRIPTION

OCF Resource Agent for iSCSI. Add (start) or remove (stop) iSCSI targets.

SUPPORTED PARAMETERS

portal
    The iSCSI portal address in the form: {ip_address|hostname}[":"port]

    (required, string, no default)

target
    The iSCSI target IQN.

    (unique, required, string, no default)

discovery_type
    Target discovery type. Check the open-iscsi documentation for supported discovery types.

    (optional, string, default "sendtargets")

iscsiadm
    open-iscsi administration utility binary.

    (optional, string, default "iscsiadm")

udev
    If the next resource depends on the udev creating a device then we wait until it is finished. On a normally loaded host this should be done quickly, but you may be unlucky. If you are not using udev set this to "no", otherwise we will spin in a loop until a timeout occurs.

    (optional, string, default "yes")

try_recovery
    If the iSCSI session exists but is currently inactive/broken, which is most probably due to network problems, the iSCSI layer will try to recover. If this parameter is set to true, we'll wait for the recovery to succeed. In that case the monitor operation can only time out so you should set the monitor op timeout attribute appropriately.

    (optional, boolean, default false)

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 120s.

stop
    Stops the resource. Suggested minimum timeout: 120s.

status
    Performs a status check. Suggested minimum timeout: 30s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 30s. Suggested interval: 120s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 5s.

methods
    Suggested minimum timeout: 5s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a iscsi resource using the crm(8) shell:

    primitive p_iscsi ocf:heartbeat:iscsi \
      params \
        portal=string \
        target=string \
      op monitor depth="0" timeout="30s" interval="120s"

EXAMPLE PCS

The following is an example configuration for a iscsi resource using pcs(8)

    pcs resource create p_iscsi ocf:heartbeat:iscsi \
      portal=string \
      target=string \
      op monitor depth="0" timeout="30s" interval="120s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)